using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass,Icon("res://addons/rokojori_action_library/Icons/Interactable.svg")]
  public partial class Interactable:Node3D, iEnablable
  {
    [Export]
    public bool enabled = true;
    public bool IsEnabled() => enabled;
    public void SetEnabled( bool enabled ) { this.enabled = enabled; }

    [Export]
    public Action onInteraction;
  }
}